## net.sf.saxon.om
Class PrefixNormalizer

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          net.sf.saxon.om.PrefixNormalizer

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

    public class PrefixNormalizer

extends org.xml.sax.helpers.XMLFilterImpl

Constructor Summary
`PrefixNormalizer()`

Method Summary
`void` `endPrefixMapping(java.lang.String prefix)` Filter an end Namespace prefix mapping event.
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Filter a start element event.
`void` `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Filter a start Namespace prefix mapping event.

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl

`characters, endDocument, endElement, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixNormalizer

    public PrefixNormalizer()

Method Detail

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Filter a start Namespace prefix mapping event.

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startPrefixMapping` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `prefix` - The Namespace prefix.
    `uri` - The Namespace URI.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Filter a start element event.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
    `atts` - The element's attributes.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Filter an end Namespace prefix mapping event.

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endPrefixMapping` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `prefix` - The Namespace prefix.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.

Copyright (c) Saxonica Limited. All rights reserved.